[+] Debian8 64 bit VPS nie dzia

Potrzebujesz pomocy z C, C++, perl, python, itp.
Bobo11
Posty: 3
Rejestracja: 19 lutego 2016, 19:40

[+] Debian8 64 bit VPS nie działa skrypt

Post autor: Bobo11 » 19 lutego 2016, 19:50

Witam
mam taki problem ze skryptem na starym debianie na vps działa bez problemu na nowym 8 niestety nie

skrypt w etc/init.d/rc.local

Kod: Zaznacz cały

#! /bin/sh
### BEGIN INIT INFO
# Provides: rc.local
# Required-Start: $remote_fs $syslog $all
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: Run /etc/rc.local if it exist
### END INIT INFO


PATH=/sbin:/usr/sbin:/bin:/usr/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

do_start() {
if [ -x /etc/rc.local ]; then
[ "$VERBOSE" != no ] && log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
ES=$?
[ "$VERBOSE" != no ] && log_end_msg $ES
return $ES
fi
}

case "$1" in
start)
do_start
;;
restart|reload|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
stop)
;;
*)
echo "Usage: $0 start|stop" >&2
exit 3
;;
esac

[B]oscam -b /usr/local/etc/oscam.conf 
sleep 10

#!/bin/sh
while [ 1 ]
do
PROCESY=`ps -aux | grep oscam | grep -v "grep oscam"`
if [ "$PROCESY" = "" ]
then
echo $(date) "oscam uruchomiony przez watchdoga" >> /var/log/watchdog
/usr/sbin/oscam -b
fi
sleep 10
done[/B]

exit 0
/var/log/watchdog

Kod: Zaznacz cały

Fri Dec 25 22:44:27 UTC 2015 oscam uruchomiony przez watchdoga
Sun Jan 31 09:33:15 UTC 2016 oscam uruchomiony przez watchdoga[/QUOTE]


debian 8 tu mam inną ścieżkę oscama ale wpisane ok
etc/init.d/rc.local

[quote]#! /bin/sh
### BEGIN INIT INFO
# Provides: rc.local
# Required-Start: $all
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: Run /etc/rc.local if it exist
### END INIT INFO


PATH=/sbin:/usr/sbin:/bin:/usr/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

do_start() {
if [ -x /etc/rc.local ]; then
[ "$VERBOSE" != no ] && log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
ES=$?
[ "$VERBOSE" != no ] && log_end_msg $ES
return $ES
fi
}

case "$1" in
start)
do_start
;;
restart|reload|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
stop|status)
# No-op
[B]/usr/local/bin/oscam -b -r2
sleep 10

#!/bin/sh
while [ 1 ]
do
PROCESY=`ps -aux | grep oscam | grep -v "grep oscam"`
if [ "$PROCESY" = "" ]
then
echo $(date) "oscam uruchomiony przez watchdoga" >> /var/log/watchdog
/usr/local/bin/oscam -b
fi
sleep 10
done[/B]

exit 0
;;
*)
echo "Usage: $0 start|stop" >&2
exit 3
;;
esac
gdzie mam błąd??

mariaczi
Member
Posty: 1311
Rejestracja: 08 lutego 2008, 12:58
Lokalizacja: localhost@śląskie

Post autor: mariaczi » 19 lutego 2016, 20:55

Którego menadżera systemu i usług miałeś na poprzednim VPSie? Jakiego masz teraz? Czy na pewno te skrypty są identyczne? Uruchamiałeś ten skrypt ręcznie w konsoli i sprawdziłeś jakie ew. dostajesz błędy?

Bobo11
Posty: 3
Rejestracja: 19 lutego 2016, 19:40

Post autor: Bobo11 » 20 lutego 2016, 15:18

Kod: Zaznacz cały

Linux  3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt20-1+deb8u3 (2016-01-17) x86_64 GNU/Linux
/debian_version
8.3
zrobiłem ponownie kompilacje oscama w rc.lokal dodałem
oscam w /usr/sbin/oscam
configi w /usr/local/etc/

Kod: Zaznacz cały

#!/bin/sh -e#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.
oscam -b /usr/local/etc/oscam.conf 
sleep 10


[quote]#!/bin/sh
while [ 1 ]
do
    PROCESY=`ps -aux | grep oscam | grep -v "grep oscam"`
    if [ "$PROCESY" = "" ]
    then
        echo $(date) "oscam uruchomiony przez watchdoga" >> /var/log/watchdog
        /usr/sbin/oscam -b
    fi
    sleep 10
done
exit 0


po restarcie systemu oscam się uruchamia, ale po komendzie

pkill -9 oscam

oscam nie wstaje

edit
stworzyłem plik o nazwie oscam.sh nadałem prawa 775
/srv/oscam.sh

Kod: Zaznacz cały

#!/bin/sh
while [ 1 ]
do
    PROCESY=`ps -aux | grep oscam | grep -v "grep oscam"`
    if [ "$PROCESY" = "" ]
    then
        echo $(date) "oscam uruchomiony przez watchdoga" >> /var/log/watchdog
        /usr/sbin/oscam -b
    fi
    sleep 10
done
exit 0
i komenda w putty /srv/oscam.sh start
i nic czyli ten skrypt jest nie taki jak powinien być

Awatar użytkownika
marcin1982
Moderator
Posty: 1721
Rejestracja: 05 maja 2011, 12:59
Lokalizacja: Zagłębie Dąbrowskie

Post autor: marcin1982 » 20 lutego 2016, 15:23

Proszę używać tagów CODE a nie QUOTE.

Awatar użytkownika
dedito
Moderator
Posty: 2973
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Post autor: dedito » 20 lutego 2016, 18:06

Kolego zobacz co mówią te logi przed i po zabiciu oscama.
Do celów debuga przydałby się w tej twojej pętli warunek else ze zrzutem do logów gdy oscam "żyje".

Bobo11
Posty: 3
Rejestracja: 19 lutego 2016, 19:40

Post autor: Bobo11 » 20 lutego 2016, 18:27

dobra poradziłem sobie
wielkie dzieki

Awatar użytkownika
dedito
Moderator
Posty: 2973
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Post autor: dedito » 20 lutego 2016, 18:31

A masz tam w ogóle uprawnienia do zapisu?

Awatar użytkownika
marcin1982
Moderator
Posty: 1721
Rejestracja: 05 maja 2011, 12:59
Lokalizacja: Zagłębie Dąbrowskie

Post autor: marcin1982 » 20 lutego 2016, 20:06

A tak oznaczamy temat jako rozwiązany ...

Zablokowany